summaryrefslogtreecommitdiff
path: root/standalone/linux/git-annex-webapp
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2012-09-28 19:08:13 -0400
committerGravatar Joey Hess <joey@kitenet.net>2012-09-28 19:08:13 -0400
commitedb563a78e51560e8f68d9d61a40f8c4a4963660 (patch)
tree0b0f3e2d5627728cbaa9040eca1e570167a48445 /standalone/linux/git-annex-webapp
parentd70534eb5733e4669fb3b636397ee7acd76948a1 (diff)
standalone linux app nearly ready
also made several fixes that apply to the OSX app
Diffstat (limited to 'standalone/linux/git-annex-webapp')
-rwxr-xr-xstandalone/linux/git-annex-webapp25
1 files changed, 25 insertions, 0 deletions
diff --git a/standalone/linux/git-annex-webapp b/standalone/linux/git-annex-webapp
new file mode 100755
index 000000000..61a9bbbeb
--- /dev/null
+++ b/standalone/linux/git-annex-webapp
@@ -0,0 +1,25 @@
+#!/bin/sh
+base="$(dirname $0)"
+if [ ! -d "$base" ]; then
+ echo "** cannot find base directory (I seem to be $0)" >&2
+ exit 1
+fi
+if [ ! -e "$base/runshell" ]; then
+ echo "** cannot find $base/runshell" >&2
+ exit 1
+fi
+
+# Get absolute path to base, to avoid breakage when things change directories.
+orig="$(pwd)"
+cd "$base"
+base="$(pwd)"
+cd "$orig"
+
+# If this is a standalone app, set a variable that git-annex can use to
+# install itself.
+if [ -e "$base/bin/git-annex" ]; then
+ GIT_ANNEX_APP_BASE="$base"
+ export GIT_ANNEX_APP_BASE
+fi
+
+"$base/runshell" git-annex webapp "$@"